Reactivate a team member
curl --request PATCH \
--url https://{your-subdomain}.neetoform.com/api/external/v2/deactivated_team_members/{id}/reactivate \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'PATCH', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetoform.com/api/external/v2/deactivated_team_members/{id}/reactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoform.com/api/external/v2/deactivated_team_members/{id}/reactivate"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.patch(url, headers=headers)
print(response.text){
"id": "3c4d5e6f-7a8b-4c9d-0e1f-2a3b4c5d6e7f",
"email": "sam@example.com",
"first_name": "Sam",
"last_name": "Smith",
"time_zone": "Asia/Kolkata",
"profile_image_url": null,
"active": true,
"organization_role": "Standard"
}{
"error": "User does not exist."
}{
"error": "<string>"
}Team members
Reactivate a team member
Reactivate a deactivated team member. The member gets the previous role back.
PATCH
/
deactivated_team_members
/
{id}
/
reactivate
Reactivate a team member
curl --request PATCH \
--url https://{your-subdomain}.neetoform.com/api/external/v2/deactivated_team_members/{id}/reactivate \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'PATCH', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetoform.com/api/external/v2/deactivated_team_members/{id}/reactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoform.com/api/external/v2/deactivated_team_members/{id}/reactivate"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.patch(url, headers=headers)
print(response.text){
"id": "3c4d5e6f-7a8b-4c9d-0e1f-2a3b4c5d6e7f",
"email": "sam@example.com",
"first_name": "Sam",
"last_name": "Smith",
"time_zone": "Asia/Kolkata",
"profile_image_url": null,
"active": true,
"organization_role": "Standard"
}{
"error": "User does not exist."
}{
"error": "<string>"
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
Id of the deactivated team member. You can get it by using the List deactivated team members API.
Example:
"3c4d5e6f-7a8b-4c9d-0e1f-2a3b4c5d6e7f"